# EMS-Specific Parameters

The following table lists the EMS-specific parameters. For details and the default settings, see the EMS administration manuals.

EMS-Specific Parameters
Parameter | Description
--- | ---
EMS-SESSION = {N | Yes, No} | The EMS-SESSION parameter, which is a keyword for the EMS ESB endpoint, determines whether ESB Interface will use one EMS session for each task to produce messages.
EMS-USE-PROP = {N | Yes, No} | The EMS-USE-PROP parameter, which is a keyword for the ESB endpoint, determines whether ESB Interface will use properties for its own described fields, such as the tibss- fields. Because properties can be passed into Substation ES with Text and Bytes messages, this parameter is useful if XML and COBOL copybook layouts are passed. The output fields, such as tibss-status and tibss-envelope, can also be used for non-EMS mapped messages for CICS Request Reply. The default value is N.
EMS-DMQ-NAME = {tibss.Dead.Msg.Queue} | The EMS-DMQ-NAME parameter, which is a keyword for the EMS ESB endpoint, specifies the TIBCO EMS queue name for messages that cannot be delivered to their destination, known as EMS dead messages. An external service, such as TIBCO BusinessWorks, can specify the reply to the destination name. However, if that session terminates and Substation ES can no longer reply to the queue, then this keyword identifies the queue to which Substation ES will write such messages.
EMS-INTF-MEMORY = {200 | number} | The EMS-INTF-MEMORY determines the maximum size of the sum of all messages per EMS interface that can be allowed in the Substation ES system. The ESB interface counts the size of all those messages that are greater than 500K for a specific interface. This is done in the callback before the message is accepted by SSES. If the values exceed the maximum size, a warning message will be logged and the message will be rejected until the memory used is lower than 80% of the value specified in the parameter. The valid values range is from 20 to 600 Megabytes. The default value is 200.
ERROR-MSG-TYPE = {M | Map, Bytes, Text} (Optional) | The ERROR-MSG-TYPE value is a letter that identifies the EMS message type of the Substation ES error message to be delivered. The message type is specified for each ESB Interface and is Map, Bytes, or Text. The valid values are M, B, and T; the default value is M.
UFLDS-FORMAT = {1 | number} | Optional. The UFLDS-FORMAT value is the format in which Substation ES writes error descriptions in the Substation ES runtime error message. The format pertains only to the message descriptions. With format 3, the field names or error descriptions are fixed and in the range ERROR1 through ERROR9. TIBCO BusinessWorks and other applications that process the error message now have a fixed format schema to read the errors. The valid values are 1 and 3; the default value is 1. This parameter applies to EMS ESB Interface only. Note: It is good practice to use format 3 for all new implementations; format 1 will be deprecated in version 3.0.

Copyright © TIBCO Software Inc. All rights reserved.